package com.brilliance.isc.swift.objmtconvert.model.mt7xx.tag.tag760;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT760Creator;

/**
 * @author wuzhe
 * @date 2023/2/24
 */
public class TagC31SCreator extends AbsTagCreate {

     private MT760Creator mt760Creator;

    public TagC31SCreator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt760Creator = (MT760Creator) absMTCreator;
    }

    public  void creator()
    {
        String tagC31SValue = mt760Creator.getAutomaticExtensionFinalExpiryDateOfC();
        mt760Creator.set("31S", tagC31SValue);
    }
}
